import request from '@/plugins/request';


/**
 * 打卡规则列表
 * @param {com} data 列表
 */
export function checkRuleList (data) {
	return request({
	    url: `work/checkRule`,
	    method: 'post',
		data
	})
}

/**
 * 添加打卡规则
 * @param {com} data 
 */
export function addCheckRule(data) {
	return request({
	    url: `work/addCheckRule`,
	    method: 'post',
		data
	})
}

/**
 * 班次列表
 * @param {com} data 列表
 */
export function getClasses(data) {
	return request({
	    url: `work/checkClasses`,
	    method: 'get',
		params: data
	})
}

//添加员工
export function addYg(data) {
	return request({
	    url: `work/add`,
	    method: 'post',
		data
	})
}

//删除员工
export function delYg(data) {
	return request({
	    url: `work/delete`,
	    method: 'post',
		data
	})
}
// 编辑员工
export function editYg(data) {
	return request({
	    url: `work/edit`,
	    method: 'post',
		data
	})
}

//考勤组列表
export function checkGroupList(data) {
	return request({
	    url: `work/checkGroup`,
	    method: 'post',
		data
	});
}

//员工列表
export function getYgList(data) {
	return request({
	    url: `work/member`,
	    method: 'get',
		params:data
	})
}


//获取部门列表
export function getDepartmentList () {
    return request({
        url: `work/department`,
        method: 'get'
    });
}

//获取打卡记录
export function getCheckList(data) {
	return request({
	    url: `work/checkin`,
	    method: 'post',
		data
	});
}